package com.heyu.api.data.service.impl.api;
/**
* <p>
* 结果表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-12
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.api.ApiPostCodeDao;
import com.heyu.api.data.entity.api.ApiPostCodeEntity;
import com.heyu.api.data.service.api.ApiPostCodeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ApiPostCodeServiceImpl extends ServiceImpl<ApiPostCodeDao, ApiPostCodeEntity> implements ApiPostCodeService {


    @Autowired
	private ApiPostCodeDao apiPostCodeDao;



	@Override
	public ApiPostCodeEntity selectApiPostCodeById(Long id){
		return apiPostCodeDao.selectApiPostCodeById(id);
	}



	@Override
	public Long insertApiPostCode(ApiPostCodeEntity apiPostCode){
		return apiPostCodeDao.insertApiPostCode(apiPostCode);
	}



	@Override
	public Long insertOrUpdateApiPostCode(ApiPostCodeEntity apiPostCode){
		return apiPostCodeDao.insertOrUpdateApiPostCode(apiPostCode);
	}



	@Override
	public int updateApiPostCodeById(ApiPostCodeEntity apiPostCode){
		return apiPostCodeDao.updateApiPostCodeById(apiPostCode);
	}



	@Override
	public int updateCoverApiPostCodeById(ApiPostCodeEntity apiPostCode){
		return apiPostCodeDao.updateCoverApiPostCodeById(apiPostCode);
	}



	@Override
	public int deleteApiPostCodeById(Long id){
		return apiPostCodeDao.deleteApiPostCodeById(id);
	}



}
